Package com.io7m.idstore.server.user_view

# Class IdUVLogin

java.lang.Object
com.io7m.idstore.server.http.IdHTTPHandlerFunctional
com.io7m.idstore.server.user_view.IdUVLogin

All Implemented Interfaces:
  `io.helidon.webserver.http.Handler`, `io.helidon.webserver.ServerLifecycle`

public final class IdUVLogin extends IdHTTPHandlerFunctional
The page that displays the login form, or executes the login if a username and password is provided.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUVLogin(com.io7m.repetoir.core.RPServiceDirectoryType services)`
  The page that displays the login form, or executes the login if a username and password is provided.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdHTTPResponseType`
  `showLoginForm(IdServerBrandingServiceType branding, IdFMTemplateType<IdFMLoginData> template, Optional<IdSessionMessage> message, int statusCode)`
  Display a login form.

  ### Methods inherited from class com.io7m.idstore.server.http.IdHTTPHandlerFunctional

  `handle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.helidon.webserver.ServerLifecycle

  `afterStop, beforeStart`

- ## Constructor Details

  - ### IdUVLogin

    public IdUVLogin(com.io7m.repetoir.core.RPServiceDirectoryType services)
    The page that displays the login form, or executes the login if a username and password is provided.
    Parameters:
      `services` - The services

- ## Method Details

  - ### showLoginForm

    public static IdHTTPResponseType showLoginForm(IdServerBrandingServiceType branding, IdFMTemplateType<IdFMLoginData> template, Optional<IdSessionMessage> message, int statusCode)
    Display a login form.
    Parameters:
      `branding` - The branding resources
      `template` - The page template
      `message` - The error message, if any
      `statusCode` - The status code
    Returns:
      A login form